/*
 * Version for Cordova/PhoneGap
 * © 2017 YANDEX
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * https://yandex.com/legal/appmetrica_sdk_agreement/
 */

"use strict";

module.exports = function(ctx) {
    if (ctx.opts.platforms.indexOf('android') < 0) {
        return;
    }

    var fs = ctx.requireCordovaModule('fs'),
        path = ctx.requireCordovaModule('path');

    var buildGradlePath = path.join(ctx.opts.projectRoot, 'platforms/android/build.gradle');
    var buildscriptExtrasGradlePath = path.join(ctx.opts.projectRoot, 'hooks/android/buildscript-extras.gradle');
    var buildExtrasGradleSource = path.join(ctx.opts.projectRoot, 'hooks/android/build-extras.gradle');
    var buildExtrasGradleTarget = path.join(ctx.opts.projectRoot, 'platforms/android/build-extras.gradle');

    // Add extra buildscript content from 'buildscript-extras.gradle' into 'build.gradle'
    var buildGradleData = fs.readFileSync(buildGradlePath, 'utf8');
    var buildscriptExtras = fs.readFileSync(buildscriptExtrasGradlePath, 'utf8');
    var fixedBuildGradleData = buildGradleData.replace('buildscript {', 'buildscript {' + buildscriptExtras);
    fs.writeFileSync(buildGradlePath, fixedBuildGradleData, 'utf8');

    // Copy 'build-extras.gradle'
    fs.createReadStream(buildExtrasGradleSource).pipe(fs.createWriteStream(buildExtrasGradleTarget));
};
